	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";

	var PROPERTY_PARENT_BRANCH_ID = 0;
	var PROPERTY_PARENT_BRANCH = "";
	var PROPERTY_PARENT_DATE_REQUEST = "";
	var PROPERTY_PARENT_DATE_EXPECT = "";
	var PROPERTY_PARENT_REQUEST_BY = "";
	var PROPERTY_PARENT_REMARKS = "";
	var PROPERTY_PARENT_STATUS = "";
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_PORDER_LIST_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	var APPROVE_BBI = null;
	var ADD_BBI2 = null;
	var CANCEL_BBI = null;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_PORDER_LIST_REC_PORDER_ID_CMB = null;
	var REC_PORDER_LIST_CAT_PRODUCT_ID_CMB = null;
	var REC_PORDER_LIST_COST_TXT = null;
	var REC_PORDER_LIST_QUANTITY_EXPECT_TXT = null;
	var REC_PORDER_LIST_STATUS_CMB = null;
	var PARAM_REC_PORDER_LIST_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var PO_ORDER_LIST_DGV = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_PO_ORDER_LIST");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	

				var img = document.createElement("img");
				img.src = JSCUS_CACHE.SERVER_URL + "/System/image/qrcode?PARAM_QRCODE="+
								PROPERTY_PARENT_DESCRIPTION + "&&PARAM_SIZE=10";
				var src = document.getElementById("QR_CODE");
				src.appendChild(img);
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_BRANCH_ID_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_BRANCH_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_BRANCH_ID_PO_ORDER_LIST");
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_BRANCH_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_BRANCH = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_BRANCH_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_BRANCH_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_BRANCH_LBL") + " : " + PROPERTY_PARENT_BRANCH);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DATE_REQUEST_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_DATE_REQUEST = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DATE_REQUEST_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_DATE_REQUEST_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_REQUEST_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_REQUEST_LBL") + " : " + PROPERTY_PARENT_DATE_REQUEST);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DATE_EXPECT_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_DATE_EXPECT = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DATE_EXPECT_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_DATE_EXPECT_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_EXPECT_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_DATE_EXPECT_LBL") + " : " + PROPERTY_PARENT_DATE_EXPECT);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_REQUEST_BY_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_REQUEST_BY = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_REQUEST_BY_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_REQUESTED_BY_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_REQUESTED_BY_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_REQUESTED_BY_LBL") + " : " + PROPERTY_PARENT_REQUEST_BY);	
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_REMARKS_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_REMARKS = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_REMARKS_PO_ORDER_LIST");
			PROPERTY_PARENT_REMARKS = PROPERTY_PARENT_REMARKS.split('\\').join('\n');
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_REMARKS_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_REMARKS_LBL", PROPERTY_PARENT_REMARKS);
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_STATUS_PO_ORDER_LIST"))
		{
			PROPERTY_PARENT_STATUS = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_STATUS_PO_ORDER_LIST");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_STATUS_LBL") == true)
			{
				if (PROPERTY_PARENT_STATUS == 1)
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Pending");
				else if (PROPERTY_PARENT_STATUS == 2)
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Approved");
				else
					JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL") + " : Completed");

				CREATE_FLEX_BUTTON();
			}
		}	
		else
		{
			window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}

	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_PO_ORDER_LIST") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_PO_ORDER_LIST")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_PO_ORDER_LIST', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_PO_ORDER_LIST', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_BRANCH_ID_PO_ORDER_LIST', 
						PROPERTY_PARENT_BRANCH_ID, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_BRANCH_PO_ORDER_LIST', 
						PROPERTY_PARENT_BRANCH, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DATE_REQUEST_PO_ORDER_LIST', 
						PROPERTY_PARENT_DATE_REQUEST, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DATE_EXPECT_PO_ORDER_LIST', 
						PROPERTY_PARENT_DATE_EXPECT, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_REQUEST_BY_PO_ORDER_LIST', 
						PROPERTY_PARENT_REQUEST_BY, 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_REMARKS_PO_ORDER_LIST', 
						PROPERTY_PARENT_REMARKS.split('\n').join('\\'), 
						5, 
						CURRENT_ROOT_PATH
					);

					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_STATUS_PO_ORDER_LIST', 
						PROPERTY_PARENT_STATUS, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_PORDER_LIST_ID"))
		{
			PROPERTY_REC_PORDER_LIST_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_PORDER_LIST_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_PORDER_LIST_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PO_ORDER_LIST_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("PO_ORDER_LIST_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PO_ORDER_LIST_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_PORDER_LIST_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = false;
						JSOC_DIALOG.VAR_MODAL("PO_ORDER_LIST_MODAL", true);
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD2_BBI"))
		{
    		ADD2_BBI = JSOC_ELEMENT.VAR_GET("ADD2_BBI");     	
			if(JSVC_VAR.VAR_ISSET(DGV_ADD_PRODUCT))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					}
				
				// Add OnClick event
				ADD2_BBI.onclick = 
					function()
					{
						DGV_ADD_PRODUCT(CALLBACK_HANDLER);
					}
			}
		}	
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");     	
			if(JSVC_VAR.VAR_ISSET(HTTP_PO_CANCEL))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						CUS_SEND_DIALOG_TRY_DISMISS();

						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}

						PROPERTY_PARENT_STATUS = 3;
						PROPERTY_PARENT_REMARKS = JSOC_ELEMENT.VAR_VALUE("PAGE_REMARKS_LBL");
						JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", " : Cancelled");
						FLEX_BUTTON_IDENTIFIER(true);
					}
				
				// Add OnClick event
				CANCEL_BBI.onclick = 
					function()
					{	
						JSOC_DIALOG.VAR_MESSAGE_BOX
						(
							'Are you sure you want to cancel this purchase order?', 
							'Information',
							'YES NO', 'QUESTION',
							function(MESSAGE_RESPONSE)
							{
								if(MESSAGE_RESPONSE == 2)
									HTTP_PO_CANCEL(CALLBACK_HANDLER);
							}
						);
					}
			}
		}
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("APPROVE_BBI"))
		{
			var ROW_INDEX = 1;
    		APPROVE_BBI = JSOC_ELEMENT.VAR_GET("APPROVE_BBI"); 
			if(JSVC_VAR.VAR_ISSET(HTTP_APPROVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER2 = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}

						PROPERTY_PARENT_STATUS = 2;
						PROPERTY_PARENT_REMARKS = JSOC_ELEMENT.VAR_VALUE("PAGE_REMARKS_LBL");
						JSOC_ELEMENT.VAR_VALUE("PAGE_STATUS_LBL", " : Approved");
						FLEX_BUTTON_IDENTIFIER(true);
					}

				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							CUS_SEND_DIALOG_TRY_DISMISS();
							return;
						}
						else
						{
							ROW_INDEX++;
							if(ROW_INDEX <= PO_ORDER_LIST_DGV.ROW.COUNT())
								HTTP_SAVE(CALLBACK_HANDLER, ROW_INDEX - 1);
							else
							{
								HTTP_APPROVE(CALLBACK_HANDLER2);
							}
						}
					}
						

				// Add OnClick event
				APPROVE_BBI.onclick = 
					function()
					{
						JSOC_DIALOG.VAR_MESSAGE_BOX
						(
							'Are you sure you want to approve this order?', 
							'Information',
							'YES NO', 'QUESTION',
							function(MESSAGE_RESPONSE)
							{
								if(MESSAGE_RESPONSE == 2)
								{
									//CHECK DATA GRID DATA
									ROW_INDEX = 1;
									while(PO_ORDER_LIST_DGV.ROW.COUNT() >= ROW_INDEX)
									{
										if (JSVC_NUM.VAR_NVAL(PO_ORDER_LIST_DGV.CELL.VALUE('REC_PORDER_QUANTITY_APPROVE', ROW_INDEX - 1)) < 0)
										{
											JSOC_DIALOG.VAR_MESSAGE_BOX
											(
												'Approved Quantity must not be less than 0.',
												'Information',
												'OK', 'ERROR',
												function()
												{
													CALLBACK_METHOD(false);
												}
											);
										return;
										}
										ROW_INDEX++;
									}

									ROW_INDEX = 1;
									HTTP_SAVE(CALLBACK_HANDLER, ROW_INDEX - 1);
								}
							}
						);
					}
			}
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('PO_ORDER_LIST_DGV');
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_ID_TXT"))
		{
			REC_PORDER_LIST_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_ID_TXT");      
			REC_PORDER_LIST_ID_TXT.onchange = 
				function()
				{
					if(REC_PORDER_LIST_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_ID_TXT.onkeypress = function(){REC_PORDER_LIST_ID_TXT.onchange();};
			REC_PORDER_LIST_ID_TXT.onpaste = function(){REC_PORDER_LIST_ID_TXT.onchange();};
			REC_PORDER_LIST_ID_TXT.oninput = function(){REC_PORDER_LIST_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_REC_PORDER_ID_CMB"))
		{
			REC_PORDER_LIST_REC_PORDER_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_REC_PORDER_ID_CMB");      	
			REC_PORDER_LIST_REC_PORDER_ID_CMB.onchange = 
				function()
				{
					if(REC_PORDER_LIST_REC_PORDER_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_REC_PORDER_ID_CMB.onkeypress = function(){REC_PORDER_LIST_REC_PORDER_ID_CMB.onchange();};
			REC_PORDER_LIST_REC_PORDER_ID_CMB.onpaste = function(){REC_PORDER_LIST_REC_PORDER_ID_CMB.onchange();};
			REC_PORDER_LIST_REC_PORDER_ID_CMB.oninput = function(){REC_PORDER_LIST_REC_PORDER_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_CAT_PRODUCT_ID_CMB"))
		{
			REC_PORDER_LIST_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_CAT_PRODUCT_ID_CMB");      	
			REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onchange();};
			REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onchange();};
			REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.oninput = function(){REC_PORDER_LIST_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_COST_TXT"))
		{
			REC_PORDER_LIST_COST_TXT = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_COST_TXT");      
			REC_PORDER_LIST_COST_TXT.onchange = 
				function()
				{
					if(REC_PORDER_LIST_COST_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_COST_TXT.onkeypress = function(){REC_PORDER_LIST_COST_TXT.onchange();};
			REC_PORDER_LIST_COST_TXT.onpaste = function(){REC_PORDER_LIST_COST_TXT.onchange();};
			REC_PORDER_LIST_COST_TXT.oninput = function(){REC_PORDER_LIST_COST_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_QUANTITY_EXPECT_TXT"))
		{
			REC_PORDER_LIST_QUANTITY_EXPECT_TXT = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_QUANTITY_EXPECT_TXT");      
			REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onchange = 
				function()
				{
					if(REC_PORDER_LIST_QUANTITY_EXPECT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onkeypress = function(){REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onpaste = function(){REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_EXPECT_TXT.oninput = function(){REC_PORDER_LIST_QUANTITY_EXPECT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_QUANTITY_RECEIVE_TXT"))
		{
			REC_PORDER_LIST_QUANTITY_RECEIVE_TXT = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_QUANTITY_RECEIVE_TXT");      
			REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onchange = 
				function()
				{
					if(REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onkeypress = function(){REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onpaste = function(){REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.oninput = function(){REC_PORDER_LIST_QUANTITY_RECEIVE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_QUANTITY_CANCEL_TXT"))
		{
			REC_PORDER_LIST_QUANTITY_CANCEL_TXT = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_QUANTITY_CANCEL_TXT");      
			REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onchange = 
				function()
				{
					if(REC_PORDER_LIST_QUANTITY_CANCEL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onkeypress = function(){REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onpaste = function(){REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onchange();};
			REC_PORDER_LIST_QUANTITY_CANCEL_TXT.oninput = function(){REC_PORDER_LIST_QUANTITY_CANCEL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_PORDER_LIST_STATUS_CMB"))
		{
			REC_PORDER_LIST_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_PORDER_LIST_STATUS_CMB");      	
			REC_PORDER_LIST_STATUS_CMB.onchange = 
				function()
				{
					if(REC_PORDER_LIST_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}x
				};
			REC_PORDER_LIST_STATUS_CMB.onkeypress = function(){REC_PORDER_LIST_STATUS_CMB.onchange();};
			REC_PORDER_LIST_STATUS_CMB.onpaste = function(){REC_PORDER_LIST_STATUS_CMB.onchange();};
			REC_PORDER_LIST_STATUS_CMB.oninput = function(){REC_PORDER_LIST_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_PORDER_LIST_ID_FILE_FP"))
		{
			PARAM_REC_PORDER_LIST_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_PORDER_LIST_ID_FILE_FP");
		}
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	}